From: Jonathan Matthew <jonathan@d14n.org>
Date: Mon, 4 Dec 2023 08:15:19 +1000
Subject: artsearch: fix regex strings so python 3.12 stops complaining

(cherry picked from commit ceeed5736c3e25d33fec5a100afde20ef485e07e)

Origin: upstream, after 3.4.7
---
 plugins/artsearch/lastfm.py | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/plugins/artsearch/lastfm.py b/plugins/artsearch/lastfm.py
index 0409105..82d5eeb 100644
--- a/plugins/artsearch/lastfm.py
+++ b/plugins/artsearch/lastfm.py
@@ -49,10 +49,10 @@ API_URL = 'https://ws.audioscrobbler.com/2.0/'
 # LASTFM_TOOLTIP = (LASTFM_LOGO, _("Image provided by Last.fm"))
 
 DISC_NUMBER_REGEXS = (
-	"\(disc *[0-9]+\)",
-	"\(cd *[0-9]+\)",
-	"\[disc *[0-9]+\]",
-	"\[cd *[0-9]+\]",
+	"\\(disc *[0-9]+\\)",
+	"\\(cd *[0-9]+\\)",
+	"\\[disc *[0-9]+\\]",
+	"\\[cd *[0-9]+\\]",
 	" - disc *[0-9]+$",
 	" - cd *[0-9]+$",
 	" disc *[0-9]+$",
